using System.Runtime.InteropServices;
using Decal.Interop.Net;

namespace Decal.Interop.Filters;

[ClassInterface(ClassInterfaceType.None)]
[TypeLibType(TypeLibTypeFlags.FHidden)]
public sealed class IPrefilterEvents_SinkHelper : IPrefilterEvents
{
	public IPrefilterEvents_EventEventHandler m_EventDelegate;

	public int m_dwCookie;

	public void Event(int P_0, IMessage P_1)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_EventDelegate != null)
		{
			m_EventDelegate(P_0, P_1);
		}
	}

	internal IPrefilterEvents_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_EventDelegate = null;
	}
}
